Jupyterのベースマップとカートピースの問題 -- python フィールド と python-3.x フィールド と anaconda フィールド と jupyter-notebook フィールド と conda フィールド 関連 問題

Jupyter Basemap and Cartopy Issues












0
vote

問題

日本語

私はPyenvによってAnaconda3-5.0.1を設置しました。そして、環境 "obspy"を使って片付けをするために conda create -n obspy python=3.6.4 anaconda を実行しました。

<a href="http://docs.obspy.org/packages/obspy.clients.fdsn.html#module-obspy.clients.fdsn" REL=">> http://docs.obspy.org/packages/obspy.clients.fdsn.html#module-obspy.clients.fdsn jupyter。 cat.plot() を実行しました Neither basemap nor cartopy could be imported. が発生しました。

BASEMAPとCARTOPYは既にインストールされており、同じコマンドがコマンドラインで実行されるとうまくいきます。私は conda コマンドによってインストールされたパッケージがJupyterの環境を反映していなかったと思いました。

「任務」の環境をJupyterの環境に反映させることができますか?

英語

I installed anaconda3-5.0.1 by pyenv. And I executed conda create -n obspy python=3.6.4 anaconda to make environment "obspy" use obspy.

I tried to use obspy along with http://docs.obspy.org/packages/obspy.clients.fdsn.html#module-obspy.clients.fdsn in Jupyter. And I executed cat.plot() the error Neither basemap nor cartopy could be imported. has occurred.

Basemap and Cartopy are already installed, and when the same commands are executed in command line they work well. I thought packages that were installed by conda command were not reflected the environment of Jupyter.

How can I reflect the environment of "obspy" to that of jupyter?

</div
              
     
     

回答リスト

0
 
vote

obspy Environmentには、jupyter(およびベースマップ)がインストールされていることを確認し、それと同じ環境からJupyterノートブックを起動してください。

通常、すべてのパッケージが非常に同じ環境に存在するわけではありません。

 

Make sure to have Jupyter (and basemap) installed in the obspy environment and make sure you start Jupyter Notebook from that same environment.

Usually these kind of problems arise from not all packages being present in the very same environment.

</div
 
 

関連する質問

16  AnacondaからGCCを使う方法は?ファイルをコンパイルすると、Stdio.hのようなシステムヘッダーを見つけられない  ( How to use gcc from anaconda when i compile files it complains about not findi ) 
MiniCondaを使用して、ソフトウェアアプリケーション内のGCCなどの依存関係を持つことができる携帯型環境を作成できるようにしています。 私はいくつかの簡単なものをしました <事前> <コード> conda install gcc conda inst...

47  Anacondaがcondaコマンドを認識しないのはなぜですか?  ( Why anaconda does not recognize conda command ) 
私は最新版のアナコンダを設置しました。 それではその中にOpenCVをインストールしたいです。入力したら: <事前> <コード> conda install -c https://conda.binstar.org/anaconda opencv このメッ...

3  yamlファイルでcondaとpipパッケージのバージョン番号を指定する際のmean =と==など  ( What do and etc mean when specifying conda and pip package version numbers ) 
yamlファイルを使用して、私たちの環境とPIP環境を指定します。それらの中で、たとえばこれらの行のいずれかの行を使用する必要があるバージョン番号を指定できます。 <コード> - cudatoolkit=10.2.89 - cudatoolkit=10.2...

1  Macで機能しないコマンドを有効にしてください  ( Conda activate command not working on mac ) 
私はMiniConda 4.8.3 + MacOS Catalina 10.15を持っています。端末のCONDA環境を手動でアクティブにしてスパイダーセッションを開始できます。 <事前> <コード> $ ~/miniconda3/bin/conda activ...

111  Python 3.8にアップグレードします  ( Upgrade to python 3 8 using conda ) 
Python 3.8.0が出ていますが、Condaを使ってPython 3.8にアップデートする方法についての投稿を見つけることができませんでした - 多分彼らは公式リリースを待つでしょうか?任意の提案? ...

1  CONDA:SSLERROR(SSLERROR(SSLERROR( "Bad Handshake:SyscallError(104、 'EConnreset')"、)、)、)  ( Conda sslerrorsslerrorsslerrorbad handshake syscallerror104 econnreset ) 
MiniConda3を使用してパッケージをインストールしたいが、そのエラーが表示される: <事前> <コード> Solving environment: failed CondaHTTPError: HTTP 000 CONNECTION FAILED ...

235  Condaの実行方法  ( How to run conda ) 
AnacondaをインストールしてPythonを実行できるので、私は正しくインストールされたと思います。次のこの紹介文書、Python v3.3をインストールしようとしているので、コピーしています。そして私のコンソールに次の行を貼り付けてください: <プレク...

4  エラー:要件pprintを満たすバージョンを見つけることができませんでした(-r commonents.txt(line 67))(バージョン:なし)。  ( Error could not find a version that satisfies the requirement pprint from r r ) 
私はMacBook ProにNLPスイートをインストールしようとしています。これは最新のソフトウェアバージョンCatalina 10.15.6に更新されています。これまでのところ、私はAnaconda 3.8をインストールし、 conda create -n ...

2  `jupyter Notebook`はエラーを与えます:` "静的ファイルを開くことができませんでした静的ファイルがMacOSで開くことができませんでした  ( Jupyter notebook gives error could not open static file on macos ) 
システム構成を変更していませんが、今日の初めてこのエラーを発見しています。 ここで報告しました: https://github.com/jupyter/notebook/問題/ 4871 <事前> <コード> > jupyter notebook [I 1...

0  GluOnCV ImportError:名前 'is_np_array'をインポートできません  ( Gluoncv importerror cannot import name is np array ) 
仮想環境のJupyterノートブックにGluOnCVを設定しようとしています。私がgluoncvをインポートしようとするときはいつでも私がこのエラーを取得します: <事前> <コード> ImportError ...




© 2022 cndgn.com All Rights Reserved. Q&Aハウス 全著作権所有